コンテンツにスキップ
ログイン サインアップ

Amazon商品

Amazon Productは、単一のASINに対する詳細ページ全体を返します。価格、画像、カテゴリ、バリエーション、属性が含まれます。

GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=product
ParameterTypeRequiredDescription
api_keystringyesお使いのSERP APIキー(Amazonと共有)。
enginestringyesamazon を指定する必要があります。
typestringyesproduct を指定する必要があります。
product_idstringyesAmazonのプロダクトID(ASIN)。
domainstringnoマーケットプレイスのドメイン。デフォルトは amazon.com
devicedesktop | mobilenoシミュレートするデバイス。

AmazonはASIN(Amazon Standard Identification Number)によって商品を識別します。次の2つの方法で確認できます。

  1. 商品URL内の /dp/ の後の部分(例: https://www.amazon.com/dp/B08C1W5N87)。
  2. 商品ページの「商品の情報」または「Additional Information」セクション内。
Terminal window
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=product&product_id=B08C1W5N87"
{
"search_metadata": {
"engine": "amazon",
"amazon_domain": "amazon.com",
"type": "product",
"product_id": "B08C1W5N87"
},
"product": {
"title": "Fire TV Stick with Alexa Voice Remote",
"product_id": "B08C1W5N87",
"brand": "Amazon",
"price": { "current_price": "$19.99", "currency": "$" },
"rating": { "rating": 4.7, "total_ratings": 141438 },
"keywords": ["fire tv", "streaming device"],
"categories": [
{ "name": "Electronics", "link": "/electronics" },
{ "name": "Streaming Media Players" }
],
"images": [
"https://m.media-amazon.com/images/I/51KKR5uGn6L.jpg"
],
"attributes": [
{ "name": "Connectivity", "value": "Wi-Fi, HDMI" }
]
}
}